Bug 200967 - RDP connection attempts fail through VPN if ip_nat_pptp is loaded
RDP connection attempts fail through VPN if ip_nat_pptp is loaded
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-01 16:55 EDT by Vilius Šumskas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.17-1.2187_FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-01 03:34:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vilius Šumskas 2006-08-01 16:55:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.2; WOW64; .NET CLR 2.0.50727)

Description of problem:
RDP connection attempts fail through VPN if ip_nat_pptp is loaded. For example if I want to connect to Windows XP Remote Desktop machine through VPN tunnel with Windows XP RDP Client it never connects. But it works like a charm without ip_nat_pptp module.

I found people with similar problems on internet and also this link: https://bugzilla.netfilter.org/bugzilla/show_bug.cgi?id=397 . But this is for kernel 2.6.14. Have this been implemented in 2.6.17?

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2133_FC5

How reproducible:
Always


Steps to Reproduce:
1. modprobe ip_conntrack_pptp
2. modprobe ip_nat_pptp
3. connet to remote VPN server.
3. try to connect from workstation behind a NAT to remote desktop behind remote VPN server with standard Windows XP RDP tools.

Actual Results:


Expected Results:


Additional info:
Comment 1 Vilius Šumskas 2006-10-01 03:34:11 EDT
I can't not reproduce it with latest 2.6.17 series. Seems like fixed.

Note You need to log in before you can comment on or make changes to this bug.